GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

Macros
gdcmLegacyMacro.h File Reference

Go to the source code of this file.

## Macros

#define | GDCM_LEGACY(method) method;
#define | GDCM_LEGACY_BODY(method, version) gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version.")
#define | GDCM_LEGACY_REPLACED_BODY(method, version, replace) gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version. Use " #replace " instead.")

## Macro Definition Documentation

#define GDCM_LEGACY | ( |  | method | ) | method;

#define GDCM_LEGACY_BODY | ( |  | method,
|  |  | version
| ) |  | gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version.")

#define GDCM_LEGACY_REPLACED_BODY | ( |  | method,
|  |  | version,
|  |  | replace
| ) |  | gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version. Use " #replace " instead.")